[% USE Dumper %]

[% BLOCK file_display %]

  [% IF zaak && uploaded_file.filename.length %]

  [% PROCESS widgets/general/filename.tt
    filename     = uploaded_file.filename
    filestore_id = uploaded_file.get_column('filestore_id')
    file_id      = uploaded_file.file_id
    not_accepted = !uploaded_file.accepted
    is_archivable = archivable
  %]

        [% IF zaak && !uploaded_file.accepted %]
        <div class="mintloader-file-accept-message">
          In beoordeling
        </div>
        [% END %]

  [% END %]
  [% uploaded_file.filename || uploaded_file | html %]

[% END %]

[% FOREACH uploaded_file IN uploaded_files %]
	[% mimetype_class = PROCESS widgets/general/mimetype.tt
        mimetype = uploaded_file.value.type
    %]

<div class="fileuploadthumbnail
	[% IF view_mode %]fileuploadthumbnail-view[% END %]
	[% mimetype_class %]">[% IF uploaded_file %][% PROCESS file_display %][% ELSE %]-[% END %]</div>
[% END %]

